Page MenuHomePhabricator

Turn off WP Zero's Limn-Dashboards & put up a "moved sign"
Closed, ResolvedPublic

Description

Zero partners have been notified their dashboards have moved.

  • Take live backup of gp with Wikipedia Zero, so we can roll-back the removal if needed. See /var/lib/limn/gp-with-wp-zero-2015-03-20-qchris on limn1
  • Serve the replacement text instead of Wikipedia Zero dashboards
  • Remove live Wikipedia Zero dashboards data from limn1
  • Turn off cron job that fetches data on limn1 (user: limn)
  • Turn off cron job that computes daily data on stat1002 (user: qchris)
  • Mark “Analytics/Wikipedia Zero” wikitech page obsolete.
  • Remove “Analytics/Wikipedia Zero” as stream consumer from wikitech pages.
  • Tell dfoy that the dashboards are offline. (kevinator said to handle that)
  • Wait a week (That is until 2015-03-27)
  • Remove cron job that fetches data on limn1 (user: limn)
  • Remove live backup of gp setup (that still includes Wikipedia Zero dashboards). I.e.: Remove /var/lib/limn/gp-with-wp-zero-2015-03-20-qchris on limn1
  • Remove cron job that computes daily data on stat1002 (user: qchris)
  • Remove Wikipedia Zero setup on stat1002. (/home/qchris/wikipedia-zero)
  • Remove the wikipedia-zero data repo from gerrit
  • Remove the wikipedia-zero data repo from github and other replication targets
  • Add a deprecated sign to analytics/wp-zero script-repo

Here is the list of zero dashboards: https://office.wikimedia.org/wiki/Wikipedia_Zero/Dashboards

Here's the text to replace the dashboards with:

This Wikipedia Zero dashboard is no longer available. It has been replaced by a new system which requires a username and password. Please contact your partner manager, or write to wikipediazero@wikimedia.org to learn more.

Details

Related Gerrit Patches:

Event Timeline

kevinator raised the priority of this task from to High.
kevinator updated the task description. (Show Details)
kevinator added a subscriber: kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 11:55 PM
kevinator set Security to None.
kevinator updated the task description. (Show Details)

Spoke to Dan and this isn't as simple as dropping in an index.html where the current dashboards are.

Easiest solution might be to configure Apache to redirect all the dashboards to a separate page.

kevinator renamed this task from Turn off Zero - Limn dashboards & put up a "moved sign" to Turn off WP Zero's Limn-Dashboards & put up a "moved sign".Mar 18 2015, 11:02 PM
QChris added a subscriber: QChris.Mar 19 2015, 9:08 AM

Spoke to Dan and this isn't as simple as dropping in an index.html where the current dashboards are.
Easiest solution might be to configure Apache to redirect all the dashboards to a separate page.

This is somewhat contradicting the task's description that meanwhile got a “text to replace the dashboards with”.

So which of the two should get implemented:

  • Taking down the dashboards and making the URLs show the “text to replace the dashboards with”, or
  • Taking down the dashboards and making the URLs redirect to dashboards at zero.wikimedia.org?

Desired outcome:
1- User goes to http://gp.wmflabs.org/dashboards/ncell-nepal
2- User sees message "This Wikipedia Zero dashboard is no longer available...."

One other thing to clarify: I spoke to milimetric (Dan) and he came up with redirection as a possible solution. So whichever old dashboard (URL) the user goes to, he ends up being redirected to one page (e.g. this_dashboard_is_no_longer_available.html) with the message. I'm not attached to it being done this way if there is a better one.

Change 198119 had a related patch set uploaded (by QChris):
Add limn proxy template that handles taken down Wikipedia Zero dashboards

https://gerrit.wikimedia.org/r/198119

QChris claimed this task.Mar 19 2015, 10:28 PM
QChris updated the task description. (Show Details)Mar 19 2015, 11:48 PM
QChris updated the task description. (Show Details)Mar 20 2015, 12:04 AM
QChris updated the task description. (Show Details)
QChris updated the task description. (Show Details)Mar 20 2015, 12:07 AM
QChris updated the task description. (Show Details)Mar 20 2015, 12:14 AM

Change 198119 merged by Ottomata:
Add limn proxy template that handles taken down Wikipedia Zero dashboards

https://gerrit.wikimedia.org/r/198119

dfoy had a look at the pages where the dashboards used to show up up and said it looked good.

QChris updated the task description. (Show Details)Mar 21 2015, 9:06 AM

Change 200489 had a related patch set uploaded (by QChris):
This repo is deprecated

https://gerrit.wikimedia.org/r/200489

Change 200489 merged by QChris:
This repo is deprecated

https://gerrit.wikimedia.org/r/200489

QChris closed this task as Resolved.Mar 29 2015, 10:21 PM
QChris updated the task description. (Show Details)